Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.TimeStampServer Class Reference
Inheritance diagram for FoxitPDFSDKPython2.TimeStampServer:

## Public Member Functions
def | TimeStampServer (other)
| Constructor, with another time stamp server object. More...
def | GetTimeStampMessage ()
| Get time stamp message. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SendTimeStampRequest (request)
| Send time stamp request. More...

## Static Public Attributes
| e_SendResultFailToConnect = _fsdk.TimeStampServer_e_SendResultFailToConnect
| Fail to connect during sending request process.
| e_SendResultFailToCreateSocket = _fsdk.TimeStampServer_e_SendResultFailToCreateSocket
| Fail to create socket during sending request process.
| e_SendResultFailToGetData = _fsdk.TimeStampServer_e_SendResultFailToGetData
| Fail to get data during sending request process.
| e_SendResultFailToReceiveData = _fsdk.TimeStampServer_e_SendResultFailToReceiveData
| Fail to receive data during sending request process.
| e_SendResultFailToRequest = _fsdk.TimeStampServer_e_SendResultFailToRequest
| Fail to request during sending request process.
| e_SendResultFailToSendData = _fsdk.TimeStampServer_e_SendResultFailToSendData
| Fail to send data during sending request process.
| e_SendResultOutOfMemory = _fsdk.TimeStampServer_e_SendResultOutOfMemory
| Out of memory during sending request process.
| e_SendResultSuccess = _fsdk.TimeStampServer_e_SendResultSuccess
| Send request successfully.

## Detailed Description

This class represents time stamp server. It can be used to send time stamp request and then get the message.

## Constructor & Destructor Documentation

## ◆ TimeStampServer()

def FoxitPDFSDKPython2.TimeStampServer.TimeStampServer | ( |  | other | ) |

Constructor, with another time stamp server object.

Parameters

  [in] | other | Another time stamp server object.

## Member Function Documentation

## ◆ GetTimeStampMessage()

def FoxitPDFSDKPython2.TimeStampServer.GetTimeStampMessage | ( |  | ) |

Get time stamp message.

This function is to get the time stamp message after function FoxitPDFSDKPython2.TimeStampServer.SendTimeStampRequest runs successfully.

Returns
  Time stamp message.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.TimeStampServer.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SendTimeStampRequest()

def FoxitPDFSDKPython2.TimeStampServer.SendTimeStampRequest | ( |  | request | ) |

Send time stamp request.

Parameters

  [in] | request | Time stamp request to be sent. It should not be an empty string.

Returns
  Result value of the sending request process. Please refer to values starting from FoxitPDFSDKPython2.TimeStampServer.e_SendResultSuccess and this would be one of these values.